# Poco::Data

# template < class T >

# class Column

Library: Data
Package: DataCore
Header: Poco/Data/Column.h

## Description

Column class is column data container. Data (a pointer to vector of contained values) is assigned to the class through either constructor or set() member function. Construction with null pointer is not allowed. This class owns the data assigned to it and deletes the storage on destruction.

## Member Summary

Member Functions: begin, data, end, length, name, operator, operator =, position, precision, reset, rowCount, swap, type, value

## Types

### DataVec

typedef std::vector < T > DataVec;

### Iterator

typedef typename DataVec::const_iterator Iterator;

### Size

typedef typename DataVec::size_type Size;

## Constructors

### Column

Column(
const Column & col
);

Creates the Column.

### Column

Column(
const MetaColumn & metaColumn,
std::vector < T > * pData
);

Creates the Column.

## Destructor

### ~Column

~Column();

Destroys the Column.

## Member Functions

### begin

Iterator begin() const;

Returns iterator pointing to the beginning of data storage vector.

### data

DataVec & data();

Returns reference to contained data.

### end

Iterator end() const;

Returns iterator pointing to the end of data storage vector.

### length

std::size_t length() const;

Returns column maximum length.

### name

const std::string & name() const;

Returns column name.

### operator

const T & operator[] (
std::size_t row
) const;

Returns the field value in specified row.

### operator =

Column & operator = (
const Column & col
);

Assignment operator.

### position

std::size_t position() const;

Returns column position.

### precision

std::size_t precision() const;

Returns column precision. Valid for floating point fields only (zero for other data types).

### reset

void reset();

Clears and shrinks the storage.

### rowCount

Size rowCount() const;

Returns number of rows.

### swap

void swap(
Column & other
);

Swaps the column with another one.

### type

MetaColumn::ColumnDataType type() const;

Returns column type.

### value

const T & value(
std::size_t row
) const;

Returns the field value in specified row.